// 005 u_find_memo
// 12 jun 2005

// -- (C) Felix John COLIBRI 2007
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_bfs_01_create_database_net;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Borland.Vcl.StdCtrls, Borland.Vcl.ExtCtrls, System.ComponentModel;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    Splitter1: TSplitter;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    create_database_: TButton;
    Button1: TButton;
    procedure exit_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure create_database_Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
  uses
      system.data.common // dbConnection
      , u_c_vcl_net_log
      , u_c_vcl_net_display
      ;

{$R *.nfm}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    const // k_database_file_name= 'C:\Documents and Settings\All Users.WINDOWS\Documents\RAD Studio\5.0\Demos\databases\BlackfishSQL\employee.jds';
          k_database_file_name= 'C:\programs\us\db\blackfishsql\_data\training_2.jds';

    procedure TForm1.create_database_Click(Sender: TObject);
      var l_c_db_provider_factory: DbProviderFactory;
          l_c_db_connection: DbConnection;
      begin
        display('> connect');
        l_c_db_provider_factory:= DbProviderFactories.GetFactory('Borland.Data.BlackfishSQL.LocalClient');

        l_c_db_connection:= l_c_db_provider_factory.CreateConnection();
        // or
        // g_c_db_connection := DataStoreConnection.Create;

        //        g_c_db_connection.ConnectionString:= 'database=anr_employee_jds;user=sysdba;password=masterkey';
        l_c_db_connection.ConnectionString:=
               'host=LocalHost'
             + ';database='+ k_database_file_name
             + ';user=SYSDBA'
             + ';password=masterkey'
             + ';create=True'
             ;

         Caption:= l_c_db_connection.ConnectionString;
        l_c_db_connection.Open;
        display('< connect');
      end;

    procedure TForm1.Button1Click(Sender: TObject);
      var l_c_db_connection: DbConnection;
      begin
      end;

end.
